.seccion-galeria {
    background: #f5f6f8; /* fondo suave */
    padding: 60px 20px;
}

/* 🔥 CONTENEDOR CONTROLABLE */
.contenedor {
    max-width: 1200px; /* 👈 aquí controlas el ancho */
    margin: 0 auto;
}

/* Título */
.contenedor h2 {
    text-align: center;
    margin-bottom: 30px;
    color: #1c355e;
    font-size: 28px;
}

/* GALERÍA */
.galeria {
    display: grid;
    gap: 15px;
}

.galeria.columnas-4 {
    grid-template-columns: repeat(4, 1fr);
}

.galeria.columnas-5 {
    grid-template-columns: repeat(5, 1fr);
}



/* Verticales */
.galeria .item img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
    border-radius: 10px;
        transition: transform 0.3s ease;

}

.galeria .item {
    width: 100%;
    height: 200px;
    border-radius: 12px;
    overflow: hidden;
   /* background: #fff;*/

    display: flex;
    align-items: center;
    justify-content: center;
}

/* 🔹 Verticales (completas) */
.galeria .item.vertical img {
    width: auto;
    height: 100%;
    object-fit: contain;
}

/* 🔥 Horizontales (llenan SIEMPRE) */
.galeria .item.horizontal img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.galeria .item:hover img {
    transform: scale(1.05);
}